Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAccessibleObjectEx

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.gui.QAccessible
                      com.trolltech.qt.gui.QAccessibleInterface
                          com.trolltech.qt.gui.QAccessibleInterfaceEx
                              com.trolltech.qt.gui.QAccessibleObjectEx

All Implemented Interfaces:
  QtJambiInterface

Direct Known Subclasses:
  QAccessibleWidgetEx

    public abstract class QAccessibleObjectEx

extends QAccessibleInterfaceEx

This class is internal to Qt Jambi.This class is internal to Qt Jambi.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QAccessibleInterface
`QAccessibleInterface.Target`

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QAccessible
`QAccessible.Action, QAccessible.Event, QAccessible.Method, QAccessible.Relation, QAccessible.RelationFlag, QAccessible.Role, QAccessible.State, QAccessible.StateFlag, QAccessible.Text`

Nested classes/interfaces inherited from class com.trolltech.qt.QtJambiObject
`QtJambiObject.QPrivateConstructor`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`` | `QAccessibleObjectEx(QObject object)` This method is internal to Qt Jambi.
`protected` | `QAccessibleObjectEx(QtJambiObject.QPrivateConstructor p)` This method is internal to Qt Jambi.

Method Summary
`java.lang.String` | `actionText(int action, QAccessible.Text t, int child)` This method is internal to Qt Jambi.
`boolean` | `doAction(int action, int child, java.util.List<java.lang.Object> params)` This method is internal to Qt Jambi.
`static QAccessibleObjectEx` | `fromNativePointer(QNativePointer nativePointer)` This method is internal to Qt Jambi.
`boolean` | `isValid()` This method is internal to Qt Jambi.
`QObject` | `object()` This method is internal to Qt Jambi.
`QRect` | `rect(int child)` This method is internal to Qt Jambi.
`void` | `setText(QAccessible.Text t, int child, java.lang.String text)` This method is internal to Qt Jambi.
`int` | `userActionCount(int child)` This method is internal to Qt Jambi.

Methods inherited from class com.trolltech.qt.gui.QAccessibleInterfaceEx
`invokeMethodEx, virtual_hook`

Methods inherited from class com.trolltech.qt.gui.QAccessibleInterface
`childAt, childCount, indexOfChild, invokeMethod, navigate, relationTo, role, state, supportedMethods, text`

Methods inherited from class com.trolltech.qt.gui.QAccessible
`isActive, queryAccessibleInterface, setRootObject, updateAccessibility`

Methods inherited from class com.trolltech.qt.QtJambiObject
`disableGarbageCollection, dispose, disposed, equals, finalize, nativeId, nativePointer, reassignNativeResources, reenableGarbageCollection, setJavaOwnership, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QAccessibleObjectEx

    public QAccessibleObjectEx(QObject object)

  This method is internal to Qt Jambi.

### QAccessibleObjectEx

    protected QAccessibleObjectEx(QtJambiObject.QPrivateConstructor p)

  This method is internal to Qt Jambi.

Method Detail

### actionText

    public java.lang.String actionText(int action,
                                       QAccessible.Text t,
                                       int child)

  This method is internal to Qt Jambi.

  Specified by:
    `actionText` in class `QAccessibleInterface`

### doAction

    public boolean doAction(int action,
                            int child,
                            java.util.List<java.lang.Object> params)

  This method is internal to Qt Jambi.

  Specified by:
    `doAction` in class `QAccessibleInterface`

### isValid

    public boolean isValid()

  This method is internal to Qt Jambi.

  Specified by:
    `isValid` in class `QAccessibleInterface`

### object

    public QObject object()

  This method is internal to Qt Jambi.

  Specified by:
    `object` in class `QAccessibleInterface`

### rect

    public QRect rect(int child)

  This method is internal to Qt Jambi.

  Specified by:
    `rect` in class `QAccessibleInterface`

### setText

    public void setText(QAccessible.Text t,
                        int child,
                        java.lang.String text)

  This method is internal to Qt Jambi.

  Specified by:
    `setText` in class `QAccessibleInterface`

### userActionCount

    public int userActionCount(int child)

  This method is internal to Qt Jambi.

  Specified by:
    `userActionCount` in class `QAccessibleInterface`

### fromNativePointer

    public static QAccessibleObjectEx fromNativePointer(QNativePointer nativePointer)

  This method is internal to Qt Jambi.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD